/*    hivelyplayerapp.cpp
 *
 * Hively Player Application class
 *
 * Copyright 2008 Petteri Kangaslampi
 *
 * See license.txt for full copyright and license information.
*/

#include <eikstart.h>
#include "hivelyplayerapp.h"
#include "hivelyplayerdoc.h"
#include "hivelyplayeruids.hrh"

const TUid KUidHivelyPlayer = { KUidHivelyPlayerAppDefine };


TUid CHivelyPlayerApplication::AppDllUid() const {
    return KUidHivelyPlayer;
}

CApaDocument* CHivelyPlayerApplication::CreateDocumentL() {
    return new (ELeave) CHivelyPlayerDocument(*this);
}


// Application entry point
EXPORT_C CApaApplication *NewApplication() {
    return new CHivelyPlayerApplication;
}


// EXE entry point
GLDEF_C TInt E32Main() {
    return EikStart::RunApplication( NewApplication );
}
